Page MenuHomePhabricator

Flow: Timestamps should respect user's timezone preference
Closed, DuplicatePublic

Description

The timestamps on topic-titlebars, and in posts, are both given in "GMT" eg, "Thu, 09 Jan 2014 16:33:45 GMT" But UTC is the usual 'standard/default' time given in all other areas of the interface.

Mentioned by the anon here: http://ee-flow.wmflabs.org/w/index.php?title=Sandbox&workflow=050ddf68ce2bf00fc8b1fa163e68c4ac#flow-post-050ddf68ce33f00fc8b1fa163e68c4ac


Version: unspecified
Severity: normal

Details

Reference
bz59919

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz59919.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Jan 10 2014, 7:21 PM

In particular it should be using mediawiki's localization functions (So you know, it works properly in non-english languages), not RFC2822 format.

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/flow/cards/709, but people from the community are welcome to contribute here and in Gerrit.

Change 119877 had a related patch set uploaded by Bencmq:
Display timestamp in local timezone and language per user preference

https://gerrit.wikimedia.org/r/119877

Change 119877 merged by jenkins-bot:
Display timestamp in local timezone and language per user preference

https://gerrit.wikimedia.org/r/119877

This was working, but now Flow content is displaying timestamps in a fixed M/D/YYYY format, and in Pacific timezone.

Well, in no-Js "mode", this still works.

However, it looks like there is no JS support for formatting date/times, at all.

Is this about simply the hover behaviour when i hover over "3 days ago" or something else? Please clarify so I can work on this bug.

(In reply to Jon from comment #7)

Is this about simply the hover behaviour when i hover over "3 days ago"

Yes. (In posts, and in the TopicTitleBar "last active" time)

(But note that the "exact" timestamp is the only one available, after 1 month. I.e. There is no more hover behaviour, after 1 month.
E.g. https://www.mediawiki.org/wiki/Topic:Rvi3v4h3bbh8mlbc
That should stay the same, but the exact timestamp should be using the correct format.)

Change 158100 had a related patch set uploaded by Jdlrobson:
Timestamp helper fixes for old things

https://gerrit.wikimedia.org/r/158100

Change 158100 merged by jenkins-bot:
Timestamp helper fixes for old things

https://gerrit.wikimedia.org/r/158100

Quiddity reopened this task as Open.Dec 15 2014, 7:59 PM
Quiddity added a subscriber: Hhhippo.

Reopening. @Hhhippo says (1):

Both here and on enwiki, the absolute timestamps I see on mouseover are in my local timezone (UTC+1) and in 12 hour format. My preferences on both wikis are set to show server time (UTC), and all other timestamps (including the example given in the preferences) are in 24 h format, so I'd much like Flow to behave the same.

Quiddity set Security to None.
Mattflaschen-WMF renamed this task from Flow: Timestamps should use mediawiki default (and/or userpreferences) to Flow: Timestamps should respect user's timezone preference.Dec 15 2014, 8:02 PM
He7d3r added a subscriber: He7d3r.Apr 3 2015, 1:31 AM
He7d3r added a comment.Apr 3 2015, 1:33 AM

We confirmed this problem on Portuguese Wikipedia. I have set my preferences to UTC, but I'm seeing the timestamps in local time (UTC-3).

Teles added a subscriber: Teles.Apr 5 2015, 9:13 PM

Confirmed that this uses the user's timezone preference in non-JS mode, but uses the user's system timezone in JS mode.